//Debug By Razor Dev.

float Persegi(vec2 p,vec2 size){
	size = vec2(0.5)-size*0.5;
	vec2 shaper = vec2(step(size.x,p.x),step(size.y,p.y));
	shaper *= vec2(step(size.x,1.0-p.x),step(size.y,1.0-p.y));
	return shaper.x*shaper.y;
}

float Bar(vec2 uv ){
	float result;
	result += Persegi(uv*5.+vec2(2.,-1.85),vec2(2.0,0.2));
	result -= Persegi(uv*5.+vec2(2.9,-1.85),vec2(0.19,0.19));
	result -= Persegi(uv*5.+vec2(2.7,-1.85),vec2(0.19,0.19));
	result -= Persegi(uv*5.+vec2(2.5,-1.85),vec2(0.19,0.19));
	result -= Persegi(uv*5.+vec2(2.3,-1.85),vec2(0.19,0.19));
	result -= Persegi(uv*5.+vec2(2.1,-1.85),vec2(0.19,0.19));
	result -= Persegi(uv*5.+vec2(1.9,-1.85),vec2(0.19,0.19));
	result -= Persegi(uv*5.+vec2(1.7,-1.85),vec2(0.19,0.19));
	result -= Persegi(uv*5.+vec2(1.5,-1.85),vec2(0.19,0.19));
	result -= Persegi(uv*5.+vec2(1.3,-1.85),vec2(0.19,0.19));
	result -= Persegi(uv*5.+vec2(1.1,-1.85),vec2(0.19,0.19));
return result;
}

vec4 Debugbox(vec4 FOG_COLOR, vec2 FOG_CONTROL, sampler2D Tex , vec2 uv){
	
	vec4 Detex = texture2D(Tex,vec2(0.0,1.0));
	
	vec4 diff;
diff.r += Persegi(uv*5.+vec2(4.0-FOG_COLOR.r*2.0,-1.85),
                  vec2(2.0,0.125));
diff.g += Persegi(uv*5.+vec2(4.0-FOG_COLOR.b*2.0,-1.85+0.185),
                  vec2(2.0,0.125));
diff.b += Persegi(uv*5.+vec2(4.0-FOG_COLOR.g*2.0,-1.85+0.185*2.0),
                  vec2(2.0,0.125));
diff.rg += Persegi(uv*5.+vec2(4.0-FOG_CONTROL.x*2.0,-1.85+0.185*3.0),
                  vec2(2.0,0.125));
diff.rb += Persegi(uv*5.+vec2(4.0-FOG_CONTROL.y*2.0,-1.85+0.185*4.0),
                  vec2(2.0,0.125));

diff.r += Persegi(uv*5.+vec2(-0.75-Detex.r*2.0,-1.85),
                 vec2(2.0,0.125));
diff.g += Persegi(uv*5.+vec2(-0.75-Detex.b*2.0,-1.85+0.185),
                 vec2(2.0,0.125));
diff.b += Persegi(uv*5.+vec2(-0.75-Detex.g*2.0,-1.85+0.185*2.0),
                 vec2(2.0,0.125));

	diff.rgb -= Bar(uv);
	diff.rgb -= Bar(uv+vec2(0.0,0.0325));
	diff.rgb -= Bar(uv+vec2(0.0,0.0750));
	diff.rgb -= Bar(uv+vec2(0.0,0.1075));
	diff.rgb -= Bar(uv+vec2(0.0,0.1500));

	diff.rgb -= Bar(uv+vec2(-0.55,0.0));
	diff.rgb -= Bar(uv+vec2(-0.55,0.0325));
	diff.rgb -= Bar(uv+vec2(-0.55,0.0750));

return diff;
}

vec4 Debug(vec4 diff , vec4 FOG_COLOR, vec2 FOG_CONTROL, sampler2D Tex , vec2 uv){

vec4 Debuger = Debugbox(FOG_COLOR, FOG_CONTROL,Tex,uv);

if(Debuger.r==0.0 && Debuger.g==0.0 && Debuger.b==0.0){
diff = diff;
}else{
diff.rgb = Debuger.rgb;
}

return diff;
}